Bug 262955 - ftp/curl: Remove broken NSS option and reference to Mbed TLS
Summary: ftp/curl: Remove broken NSS option and reference to Mbed TLS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-03-31 09:14 UTC by Daniel Engberg
Modified: 2022-05-13 19:45 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
Patch for curl (1.83 KB, patch)
2022-03-31 09:14 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg freebsd_committer 2022-03-31 09:14:06 UTC
Created attachment 232839 [details]
Patch for curl

Remove NSS option as it's deprecated upstream and doesn't build

Enabling it causes configure to fail with following message:
configure: error: NSS use must be confirmed using --with-nss-deprecated. NSS support will be dropped from curl in August 2022. See docs/DEPRECATE.md

Adding required switch makes the build fail with following error:
--- vtls/libcurl_la-nss.lo ---
vtls/nss.c:1391:50: error: use of undeclared identifier 'initparams'
  nss_context = NSS_InitContext("", "", "", "", &initparams, NSS_INIT_READONLY
                                                 ^
vtls/nss.c:1391:62: error: use of undeclared identifier 'NSS_INIT_READONLY'
  nss_context = NSS_InitContext("", "", "", "", &initparams, NSS_INIT_READONLY
                                                             ^
vtls/nss.c:1392:12: error: use of undeclared identifier 'NSS_INIT_NOCERTDB'
         | NSS_INIT_NOCERTDB   | NSS_INIT_NOMODDB       | NSS_INIT_FORCEOPEN
           ^
vtls/nss.c:1392:34: error: use of undeclared identifier 'NSS_INIT_NOMODDB'
         | NSS_INIT_NOCERTDB   | NSS_INIT_NOMODDB       | NSS_INIT_FORCEOPEN
                                 ^
vtls/nss.c:1392:59: error: use of undeclared identifier 'NSS_INIT_FORCEOPEN'
         | NSS_INIT_NOCERTDB   | NSS_INIT_NOMODDB       | NSS_INIT_FORCEOPEN
                                                          ^
vtls/nss.c:1393:12: error: use of undeclared identifier 'NSS_INIT_NOROOTINIT'
         | NSS_INIT_NOROOTINIT | NSS_INIT_OPTIMIZESPACE | NSS_INIT_PK11RELOAD);
           ^
vtls/nss.c:1393:34: error: use of undeclared identifier 'NSS_INIT_OPTIMIZESPACE'
         | NSS_INIT_NOROOTINIT | NSS_INIT_OPTIMIZESPACE | NSS_INIT_PK11RELOAD);
                                 ^
vtls/nss.c:1393:59: error: use of undeclared identifier 'NSS_INIT_PK11RELOAD'
         | NSS_INIT_NOROOTINIT | NSS_INIT_OPTIMIZESPACE | NSS_INIT_PK11RELOAD);
                                                          ^
vtls/nss.c:1516:5: warning: implicit declaration of function 'NSS_ShutdownContext' is invalid in C99 [-Wimplicit-function-declaration]
    NSS_ShutdownContext(nss_context);
    ^
vtls/nss.c:2428:44: warning: implicit declaration of function 'NSS_GetVersion' is invalid in C99 [-Wimplicit-function-declaration]
  return msnprintf(buffer, size, "NSS/%s", NSS_GetVersion());
                                           ^
7 warnings and 17 errors generated.
*** [vtls/libcurl_la-nss.lo] Error code 1

While at it remove reference to Mbed TLS as it's not longer supported

Reference:
https://github.com/curl/curl/blob/master/docs/DEPRECATE.md

Compile tested on FreeBSD 13.0-STABLE #2 stable/13-n248607-93a95ebbf7c (amd64)
Comment 1 commit-hook freebsd_committer 2022-04-16 04:25:52 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=c224916d09aa283920b6c016f61778e4e90ef577

commit c224916d09aa283920b6c016f61778e4e90ef577
Author:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
AuthorDate: 2022-04-16 04:15:24 +0000
Commit:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
CommitDate: 2022-04-16 04:19:52 +0000

    ftp/curl: Remove deprecated NSS option

    - Update CA_BUNDLE_DESC: Remove unsupported mbedTLS

    PR:             262955
    Submitted by:   diizzy

 ftp/curl/Makefile | 10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)
Comment 2 Po-Chuan Hsieh freebsd_committer 2022-04-16 04:48:31 UTC
Committed. Thanks!
Comment 3 commit-hook freebsd_committer 2022-05-13 19:45:50 UTC
A commit in branch 2022Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=22c3478564e7ec431eb300df63be18b705c6a614

commit 22c3478564e7ec431eb300df63be18b705c6a614
Author:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
AuthorDate: 2022-04-16 04:15:24 +0000
Commit:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
CommitDate: 2022-05-13 19:42:06 +0000

    ftp/curl: Remove deprecated NSS option

    - Update CA_BUNDLE_DESC: Remove unsupported mbedTLS

    PR:             262955
    Submitted by:   diizzy

    (cherry picked from commit c224916d09aa283920b6c016f61778e4e90ef577)

 ftp/curl/Makefile | 10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)